Data::Perl::Collection::Hash(3)

NAME
Data::Perl::Collection::Hash - Wrapping class for Perl's built in hash structure.

VERSION
version 0.002011

SYNOPSIS
  use Data::Perl qw/hash/;

  my $hash = hash(a => 1, b => 2);

  $array->push(5);

  $hash->values; # (1, 2)

  $hash->set('foo', 'bar'); # (a => 1, b => 2, foo => 'bar')

DESCRIPTION
This class is a simple consumer of the Data::Perl::Role::Collection::Hash role, which provides all functionality. You probably want to look there instead.

AUTHOR
Matthew Phillips <mattp@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2020 by Matthew Phillips <mattp@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.